Subject: Re: bug#8597: horrible default colors for emacs -nw
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Sat, 07 May 2011 18:48:47 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>
> Date: Sat, 30 Apr 2011 12:26:37 -0700
> 
> > I think Emacs cannot figure out the background mode in a -nw session,
> > at least not in general.  There's no interface to the text terminal
> > that can tell it that.  But I will try to see if there's something
> > that can be done on Windows specifically.
> 
> OK, thanks.  If nothing can be done then please close the bug.
> 
> I think I just copied my shortcut for ordinary Emacs without -nw and then added
> the -nw.  It works fine for ordinary (non -nw) Emacs.

I fixed this (in revno 104155 on the trunk).  xterm.el already queries
the terminal about the background color, so I used a similar technique
to do the same on the w32 console, except that I needed a new
primitive for that.

I'm closing this bug.  If you see anything wrong with how the new code
works with your shortcut, feel free to reopen it.